# SuspiciousStewMeta (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.inventory.meta, interface: SuspiciousStewMeta

Package org.bukkit.inventory.meta

# Interface SuspiciousStewMeta

All Superinterfaces:
  `Cloneable`, `ConfigurationSerializable`, `ItemMeta`, `PersistentDataHolder`

public interface SuspiciousStewMeta extends ItemMeta
Represents a suspicious stew that can have custom effects.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addCustomEffect(@NotNull PotionEffect effect, boolean overwrite)`
Adds a custom potion effect to this suspicious stew.
`boolean`
`clearCustomEffects()`
Removes all custom potion effects from this suspicious stew.
`SuspiciousStewMeta`
`clone()`
`@NotNull List<PotionEffect>`
`getCustomEffects()`
Gets an immutable list containing all custom potion effects applied to this suspicious stew.
`boolean`
`hasCustomEffect(@NotNull PotionEffectType type)`
Checks for a specific custom potion effect type on this suspicious stew.
`boolean`
`hasCustomEffects()`
Checks for the presence of custom potion effects.
`boolean`
`removeCustomEffect(@NotNull PotionEffectType type)`
Removes a custom potion effect from this suspicious stew.

### Methods inherited from interface org.bukkit.configuration.serialization.ConfigurationSerializable

`serialize`

### Methods inherited from interface org.bukkit.inventory.meta.ItemMeta

`addAttributeModifier, addEnchant, addItemFlags, displayName, displayName, getAttributeModifiers, getAttributeModifiers, getAttributeModifiers, getCanDestroy, getCanPlaceOn, getCustomModelData, getCustomTagContainer, getDestroyableKeys, getDisplayName, getDisplayNameComponent, getEnchantLevel, getEnchants, getItemFlags, getLocalizedName, getLore, getLoreComponents, getPlaceableKeys, hasAttributeModifiers, hasConflictingEnchant, hasCustomModelData, hasDestroyableKeys, hasDisplayName, hasEnchant, hasEnchants, hasItemFlag, hasLocalizedName, hasLore, hasPlaceableKeys, isUnbreakable, lore, lore, removeAttributeModifier, removeAttributeModifier, removeAttributeModifier, removeEnchant, removeItemFlags, setAttributeModifiers, setCanDestroy, setCanPlaceOn, setCustomModelData, setDestroyableKeys, setDisplayName, setDisplayNameComponent, setLocalizedName, setLore, setLoreComponents, setPlaceableKeys, setUnbreakable, setVersion`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

## Method Details

### hasCustomEffects

boolean hasCustomEffects()
Checks for the presence of custom potion effects.

Returns:
  true if custom potion effects are applied

### getCustomEffects

@NotNull @NotNull List<PotionEffect> getCustomEffects()
Gets an immutable list containing all custom potion effects applied to this suspicious stew.

Plugins should check that hasCustomEffects() returns true before calling this method.

Returns:
  the immutable list of custom potion effects

### addCustomEffect

boolean addCustomEffect(@NotNull @NotNull PotionEffect effect, boolean overwrite)
Adds a custom potion effect to this suspicious stew.

Parameters:
  `effect` - the potion effect to add
  `overwrite` - true if any existing effect of the same type should be overwritten
Returns:
  true if the suspicious stew meta changed as a result of this call

### removeCustomEffect

boolean removeCustomEffect(@NotNull @NotNull PotionEffectType type)
Removes a custom potion effect from this suspicious stew.

Parameters:
  `type` - the potion effect type to remove
Returns:
  true if the suspicious stew meta changed as a result of this call

### hasCustomEffect

boolean hasCustomEffect(@NotNull @NotNull PotionEffectType type)
Checks for a specific custom potion effect type on this suspicious stew.

Parameters:
  `type` - the potion effect type to check for
Returns:
  true if the suspicious stew has this effect

### clearCustomEffects

boolean clearCustomEffects()
Removes all custom potion effects from this suspicious stew.

Returns:
  true if the suspicious stew meta changed as a result of this call

### clone

SuspiciousStewMeta clone()

Specified by:
  `clone` in interface `ItemMeta`